import { TemplateExecutor } from 'lodash';
export default class LogInfo {
    readonly code: string;
    readonly level: string;
    readonly data?: any;
    static readonly CODES: {
        [index: string]: TemplateExecutor;
    };
    constructor(code: string, level?: string, data?: any);
    getMessage(): string;
    toString(): string;
}
