var ModulesLoader = /** @class */ (function () {
    function ModulesLoader() {
        this.modules = [];
        this.nameMap = {};
    }
    ModulesLoader.prototype.add = function (module) {
        if (!this.contains(module)) {
            this.nameMap[module.name] = module;
            this.modules.push(module);
        }
    };
    ModulesLoader.prototype.getModules = function () {
        return this.modules;
    };
    ModulesLoader.prototype.contains = function (module) {
        return !!this.nameMap[module.name];
    };
    return ModulesLoader;
}());
export default ModulesLoader;
